Summary: The GNU line editor.
Name: ed
Version: 0.4
Release: 1tr
License: GPL
Group: Trustix Official
Source: ftp://ftp.gnu.org/gnu/ed/ed-%{version}.tar.bz2
Prereq: htmlinfo
BuildRequires: texinfo
Buildroot: /var/tmp/%{name}-root

%description
Ed is a line-oriented text editor, used to create, display, and modify
text files (both interactively and via shell scripts).  For most
purposes, ed has been replaced in normal usage by full-screen editors
(emacs and vi, for example).

Ed was the original UNIX editor, and may be used by some programs.  In
general, however, you probably don't need to install it and you probably
won't use it.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --exec-prefix=/

make LDFLAGS=-s
makeinfo --html --no-split doc/ed.texinfo

%install
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s prefix=$RPM_BUILD_ROOT/usr \
     exec_prefix=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/usr/share/{html/ed,man/man1}
install -m 644 ed.html $RPM_BUILD_ROOT/usr/share/html/ed/
install -m 644 doc/ed.1 $RPM_BUILD_ROOT%{_mandir}/man1/
strip $RPM_BUILD_ROOT/bin/ed

%post
/usr/sbin/htmlinfo_update.sh

%postun
/usr/sbin/htmlinfo_update.sh

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc NEWS README
/bin/ed
/bin/red
/usr/share/html/ed
/usr/share/man/man1/*

%changelog
* Mon Jan 22 2007 Bipin S <bipin at trustix dot org> 0.4-1tr
- New upstream.
- SECURITY FIX: A vulnerability has been identified in the "open_sbuf()"
  [buf.c] function that handles temporary files in an insecure manner,
  which could allow malicious users to conduct symlink attacks and
  create or overwrite arbitrary files with the privileges of the
  user invoking the vulnerable application.

  The Common Vulnerabilities and Exposures project (cve.mitre.org)
  has assigned the name CVE-2006-6939 to this issue.

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 0.2-25tr
- Big rebuild

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 0.2-24tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 0.2-23tr
- Big rebuild

* Fri Jun 13 2003 Erlend Midttun <erlendbm at trustix dot com> 0.2-22em
- Now own /usr/share/html/ed.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.2-21em
- Rebuilt against glibc 2.3.2.

* Thu Oct 24 2002 Christian H. Toldnes <christht at trustix dot com> 0.2-20ct
- Replaced info stuff with htmlinfo

* Tue Jul 23 2002 Daniel Meyer <eagle at trustix dot org> 0.2-19dm
- rebuild for Trustix Secure Linux 2.0

* Wed Dec 13 2000 Oystein Viggen <oysteivi at trustix dot com>
- use mkstemp instead of mktemp

* Mon Feb 28 2000 Lars Gaarden <larsg at trustix dot com>
- moved man and info pages to /usr/share, FHS

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages.

* Tue Mar 23 1999 Jeff Johnson <jbj@redhat.com>
- fix %post syntax error (#1689).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- added install-info support
- added BuildRoot
- correct URL in Source line

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
